<?php
$i18n = [
	'pre_delete_msg' => 'Are you sure you want to delete the page?',
	'dashboard_menu' => 'Dashboard',
	'pages_menu' => 'Pages',
	'pages_edit_menu' => 'Edit',
	'pages_create_menu' => 'New',
	'settings_menu' => 'Settings',
	'install_info_text' => 'During installation, the manager modifies your <mark class="nowrap">custom.scriptor-config.php</mark> file. However, it typically does not overwrite your configurations. A backup of your current file will be automatically created for safety. Please follow the installation instructions carefully. If any conflicts occur, you can restore your previous configurations using the backup file.',
	'install_menu' => 'Modules',
	'install_module_list_header' => 'Module Manager',
	'install_no_modules_found' => 'No modules available for installation. Currently, there are no modules available for installation. If you wish to add new modules, you can explore our <a href="https://scriptor-cms.info.local/extensions/extensions-modules/">Module Repository</a> to discover a selection of available modules. Alternatively, you can also develop your own modules and install them here.',
	'install_backup_message' => 'The <strong>[[module_name]]</strong> module has been installed, and modifications have been made to the <strong>[[custom_config_path]]</strong> configuration file.',
	'install_backup_copy_message' => 'A backup copy of the configuration file in the <strong>[[backup_dir]]</strong> directory has been created.',
	'install_module_name_not_found' => 'The entered module name was not found.',
	'install_module_error' => 'The <strong>[[module_name]]</strong> module could not be installed.',
	'uninstall_module_error' => 'The <strong>[[module_name]]</strong> module could not be uninstalled.',
	'uninstall_module_successful' => 'The <strong>[[module_name]]</strong> module was successfully uninstalled.',
	'install_table_column_name' => 'Name',
	'install_table_column_description' => 'Description',
	'install_table_column_action' => 'Action',
	'install_button' => 'Install',
	'uninstall_button' => 'Uninstall',
	'page_successful_removed' => 'The page was successfully deleted.',
	'error_deleting_page' => 'Error deleting the page.',
	'no_page' => 'No page found.',
	'settings_page_header' => 'System Settings',
	'settings_page_text' => 'The default settings are stored in the <mark class="uk-text-nowrap">data/settings/scriptor-config.php</mark> file.<br><br>IMPORTANT: If you wish to retain your configuration permanently, you can make modifications to the <mark class="uk-text-nowrap">custom.scriptor-config.php</mark> file, which is also located in the same directory. Prior to use, please remember to rename the file to <mark class="nowrap">custom.scriptor-config.php</mark> (without the <mark></mark> prefix/underscore).',
	'profile_menu' => 'Profile',
	'error_login' => 'The username or password you entered is incorrect. You have [[count]] more attempts.',
	'error_max_login_attempts' => "You've reached the maximum login attempts. Exit your browser and try again or try again in [[count]] minutes.",
	'error_cookie' => 'The use of session cookie is mandatory.',
	'error_module_not_found' => 'Error: Module <mark>[[module]]</mark> was not found.',
	'error_module' => 'Module-Error',
	'username_label' => 'Username',
	'password_label' => 'Password',
	'new_password_label' => 'New Password',
	'password_confirm_label' => 'Repeat password',
	'email_label' => 'Email address',
	'profile_editor_header' => 'User profile',
	'login_header' => 'Login',
	'pages_header' => 'Pages',
	'successful_login' => 'You have been successfully logged in.',
	'successful_logout' => 'You have been successfully logged out.',
	'profile_incomplete' => 'Please fill in all required fields.',
	'short_password' => 'The password you specified is too short, please enter a new password with a length of at least 6 characters.',
	'error_password_comparison' => 'Password does not match the confirm password.',
	'profile_successful_saved' => 'Your profile data has been saved successfully.',
	'create_button' => 'Create',
	'logout_menu' => 'Logout',
	'position_table_header' => 'Pos.',
	'id_table_header' => 'ID',
	'parent_table_header' => 'Parent',
	'title_table_header' => 'Name',
	'delete_table_header' => 'Delete',
	'save_button' => 'Save',
	'login_button' => 'Login',
	'view_button' => 'View',
	'content_label' => 'Content',
	'title_label' => 'Name',
	'menu_title_label' => 'Menu Title',
	'menu_title_field_infotext' => 'Any combination of letters or numbers.',
	'name_label' => 'Slug',
	'name_field_infotext' => 'Any combination of letters (a-z), numbers (0-9), dashes or underscores (no spaces).',
	'parent_label' => 'Parent Page',
	'template_label' => 'Page template',
	'template_field_infotext' => 'Any combination of letters, dashes or underscores (no spaces).',
	'published_label' => 'Published',
	'page_edit_header' => 'Edit page',
	'page_create_header' => 'New page',
	'upload_name_heading' => 'Name:',
	'upload_size_heading' => 'Size:',
	'header_image_label' => 'Images',
	'header_image_infotext' => 'Upload an image (only images with the extensions jpg, gif or png are allowed).',
	'upload_add_files' => 'Select picture',
	'upload_start' => 'Upload',
	'upload_cancel' => 'Cancel',
	'upload_delete' => 'Delete',
	'upload_placeholder' => '',
	'error_page_images' => 'Error while uploading images',
	'error_page_title' => 'Please enter a page name.',
	'error_page_name' => 'Please enter a different name.',
	'error_slug_reserved' => 'This slug is reserved and cannot be used.',
	'error_page_title_exists' => 'Page could not be saved, a page with the specified name already exists.',
	'error_page_content' => 'The Content field is mandatory.',
	'successful_saved_page' => 'The page was saved successfully.',
	'parent_select_option' => 'Select option',
	'error_deleting_first_page' => 'Error when deleting primary page. The page with ID 1, cannot be deleted.',
	'error_remove_parent_page' => 'The page cannot be deleted because it has at least one subpage.',
	'error_csrf_token_mismatch' => 'Error: CSRF token mismatch – Try again.',
	'error_saving_page' => 'The page could not be saved. An unknown error has occurred.',
	'contact_developer' => 'Contact developer',
	'error_operation_failed' => 'The operation was not successful, see the log for more information.',
	'confirmation_dialog_header' => 'Confirmation',
	'cancel_dialog_button' => 'Cancel',
	'confirm_dialog_button' => 'Confirm',
	'pre_module_install_msg' => 'Installing this module may impact your system. Proceed with caution during installation and configuration. Backup recommended.',
	'pre_module_uninstall_msg' => 'Uninstalling this module may remove its functionality and associated data. Proceed with caution during uninstallation. Backup recommended.',
];